Episode #125 of the Stack Overflow podcast is here. We talk Tilde Club and mechanical keyboards. Listen now

Questions tagged [phpunit]

Framework and standard for PHP unit testing

Filter by
Sorted by
Tagged with
0
votes
0answers
99 views

Error: Unable to find PHPUnit phar Check PHPUnit configuration

I've downloaded the Eclipse suite for PHP, JavaScript and Java and was attempting to run code in the PHP when I get this error. How can I fix it?
0
votes
0answers
147 views

How to fix this PhpStorm, Docker and PhpUnit issue?

I have three docker containers: prefix-php-fpm prefix-mysql prefix-mysql-test I have configured Docker, remote PHP interpreter and PhpUnit in PhpStorm. But when i run tests which requires DB ...
1
vote
0answers
407 views

How to suppress “stty: standard input: Inappropriate ioctl for device” in Jenkins console

I use PHPUnit with Jenkins. PHPUnit outputs many "stty: standard input: Inappropriate ioctl for device." like this [***] $ /bin/sh -xe /tmp/jenkins3872195701082406677.sh  + vendor/bin/phpunit tests/ ...
0
votes
0answers
20 views

Netbeans: cannot upload files because it prompts for Selenium folder

Problem: after editing a file, Netbeans prompts me to "Select a directory for my_project_name" and won't let me upload the file. How do I disable this prompt? I'm using Netbeans 8.2. I'm not using ...
1
vote
1answer
627 views

Strange behaviour in installation of PHPUnit

I was trying to install PHPUnit following the step-by-step guide in the Getting Started page. However, when I try phpunit --version in terminal, I receive /usr/local/bin/phpunit: Permission denied. ...
1
vote
1answer
130 views

error phpunit executable not found

In an API project, we have composer.json set to the following: { "require-dev": { "phpunit/phpunit": "4.7.*" }, "require": { "monolog/monolog": "1.5.*" } } And, upon ...
1
vote
1answer
71 views

phpunit causes Windows Explorer to lag on Windows 7

I am currently creating some automated testing suites for phpunit. This means I may run phpunit several times in a day. Sometimes, after I've run it, Windows Explorer just starts lagging. This ...
1
vote
2answers
624 views

Why showing pear and phpunit is not installed in xampp on ubuntu?

I have installed xampp 1.8 on my ubuntu 12.04. In /opt/lampp/lib/php/PEAR I can see there are two directory named PEAR and PHPUnit. But when I run pear -V or phpunit from terminal it gives the below ...
3
votes
2answers
2k views

Use remote PHPUnit coverage in PhpStorm

I am working in the following setup: There is a development VM running, where I can access the codebase and use it as project location in PhpStorm. Everything (nginx, database, phpunit, ...) is ...
2
votes
0answers
993 views

cannt run phpunit tests on bash ubuntu 11.10

I'm working with Ubuntu 11.10 as root on my local machine, I've installed xampp 1.7.7 and While following a tutorial on sitepoint on how to install pear to use PhpUnit, I didn't notice it then, but ...
3
votes
1answer
1k views

How should be system configured for use breakpoints of xdebug for phpunit tests on netbeans (ubuntu)

How should be system configured for use breakpoints of xdebug for phpunit(3.5) tests on netbeans 6.9 (ubuntu 10.04). Example1 (breakpoint inside Test file): in ExampleTest.php I want to put ...
14
votes
3answers
6k views

PHPUnit Windows command box nice colors

I have PHPunit installed on a Windows machine. But I don't get nice output on my command line. With the green colours. Someone on the PHPunit mailing list told me I need the ansi.sys driver. Can ...
3
votes
3answers
772 views

Can I run `phpunit` on an open PHP file inside vim?

Is there an easy way to run phpunit on open php test file inside vim?
2
votes
0answers
256 views

“PHP Error” when running PHPUnit tests from within Komodo IDE

I am using the latest version of the Komodo IDE, PEAR and PHPUnit with PHP version 5.3.0. When I run the unit tests for my Komodo project the tests run correctly, but regardless of whether there are ...
8
votes
4answers
12k views

Error trying to install PHPUnit from PEAR

$ sudo pear install phpunit/PHPUnit Unknown remote channel: pear.symfony-project.com phpunit/PHPUnit requires package "channel://pear.symfony-project.com/YAML" (version >= 1.0.2) phpunit/PHPUnit ...